Bug 388561 - Main window graying out
Summary: Main window graying out
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-17 17:20 UTC by Jakub 'Livio' Rusinek
Modified: 2008-05-28 19:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 19:17:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (425.17 KB, image/png)
2007-11-17 17:20 UTC, Jakub 'Livio' Rusinek
no flags Details
grayed pirut - make same with pup, please (243.01 KB, image/png)
2007-11-18 12:34 UTC, Jakub 'Livio' Rusinek
no flags Details

Description Jakub 'Livio' Rusinek 2007-11-17 17:20:01 UTC
Description of problem:
Actually not a problem, but ideologic issue.
When Pirut or Pup displays informational window about downloading/etc main
window is inactive and cannot be activated, but widgets are not grayed out.
I think they should be grayed out ;) .
I'm attaching screenshot which shows which should be grayed (the red).

Version-Release number of selected component (if applicable):
1.3.25-2

Actual results:
Window looks like active.

Expected results:
Window is nicely grayed out by GTK.

Additional info:
Ubuntu already does this :> .

Comment 1 Jakub 'Livio' Rusinek 2007-11-17 17:20:01 UTC
Created attachment 262421 [details]
screenshot

Comment 2 Jakub 'Livio' Rusinek 2007-11-18 12:34:16 UTC
Hmmm, I see that Pirut grayes out the window perfectly, as I imagined that.

Comment 3 Jakub 'Livio' Rusinek 2007-11-18 12:34:51 UTC
Created attachment 262851 [details]
grayed pirut - make same with pup, please

Comment 4 Jeremy Katz 2008-05-28 19:17:55 UTC
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.


Note You need to log in before you can comment on or make changes to this bug.